Email address verification

Sends the email to verify user's email address. The email will contain a link to verify the email address.

post
Path parameters
idstringRequired

The user id to send the email.

Query parameters
returnURLstring · uriRequired

The return URL after the user clicks the link in the email.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
post
/api/v1/users/{id}/email-address/verify/send

Actives the user email address.

put
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Body

This class represents the request data transfer object for activating an email address.

tokenstring · min: 1Required

The token to active the email address. This is the token that was received from the request to send the OTP.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
put
/api/v1/users/email-address/active

Last updated